Commit temporary files to permanent storage
POST
/v2/product-catalog/products/{id}/files/commit-temp
const url = 'https://api-crm-staging.divinea.com/api/v2/product-catalog/products/example/files/commit-temp';const options = { method: 'POST', headers: {APIKey: '<APIKey>', 'Content-Type': 'application/json'}, body: '{"tempFiles":[{"displayOrder":1,"fileName":"example","fileSizeBytes":1,"fileType":"example","flags":"example","heightPx":1,"publicId":"example","widthPx":1}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api-crm-staging.divinea.com/api/v2/product-catalog/products/example/files/commit-temp \ --header 'APIKey: <APIKey>' \ --header 'Content-Type: application/json' \ --data '{ "tempFiles": [ { "displayOrder": 1, "fileName": "example", "fileSizeBytes": 1, "fileType": "example", "flags": "example", "heightPx": 1, "publicId": "example", "widthPx": 1 } ] }'Authorizations
Sezione intitolata “Authorizations”Parameters
Sezione intitolata “Parameters”Path Parameters
Sezione intitolata “Path Parameters”id
required
string format: uuid
Id
Request Body
Sezione intitolata “Request Body”Request
Media typeapplication/json
CommitTempFilesRequest
object
tempFiles
Array<object>
TempFileInfoobject
displayOrder
integer format: int32
fileName
string
fileSizeBytes
integer format: int64
fileType
string
flags
string
heightPx
integer format: int32
publicId
string
widthPx
integer format: int32
Examplegenerated
{ "tempFiles": [ { "displayOrder": 1, "fileName": "example", "fileSizeBytes": 1, "fileType": "example", "flags": "example", "heightPx": 1, "publicId": "example", "widthPx": 1 } ]}Responses
Sezione intitolata “Responses”OK
Media type*/*
Array<object>
ProductFileResponseobject
fileId
integer format: int64
message
string
publicId
string
url
string